org.modeshape.jcr.query.plan

## Enum JoinAlgorithm

- java.lang.Object
- - java.lang.Enum<JoinAlgorithm>
  - - org.modeshape.jcr.query.plan.JoinAlgorithm

- All Implemented Interfaces:
    Serializable, Comparable<JoinAlgorithm>

      public enum JoinAlgorithm
      extends Enum<JoinAlgorithm>

  The type of join algorithms.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MERGE`
    `NESTED_LOOP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JoinAlgorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JoinAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NESTED_LOOP

          public static final JoinAlgorithm NESTED_LOOP

    - #### MERGE

          public static final JoinAlgorithm MERGE

  - ### Method Detail

    - #### values

          public static JoinAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JoinAlgorithm c : JoinAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JoinAlgorithm valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.